=head1 NAME

ann_sample - Sample program for the ANN library

=head1 SYNOPSIS

  ann_sample [-d dim] [-max m] [-nn k] [-e eps] [-df data] [-qf query]

=head1 DESCRIPTION

This is a sample program for the the Approximate Nearest Neighbor
Searching library.  Results are sent to the standard output.
To run a demo, try:

    ann_sample -df /usr/share/doc/ann-tools/data.pts -qf /usr/share/doc/ann-tools/query.pts

and compare the result with

    /usr/share/doc/ann-tools/sample.save

=head1 OPTIONS

=over

=item -d dim

dimension of the space (default = 2)

=item -max m

maximum number of data points (default = 1000)

=item -nn k

number of nearest neighbors per query (default 1)

=item -e eps

the error bound (default = 0.0)

=item -df data

name of file containing data points

=item -qf query

name of file containing query points

=back

=head1 AUTHOR

Sunil Arya and David Mount

=head1 COPYRIGHT

This man page is Copyright (C) 2007 Rafael Laboissiere <rafael AT debian DOT
org> and released under the GNU GPL, version 3 or later.  It was written for
the Debian distribution but may be used by others.

=head1 SEE ALSO

ann2fig (1)

